// CS486 
// File: TriStripLabeled.pde
// R. Eastman
// Example of:
// Saving as vector PDF file
// beginShape()
// Drawing text

import processing.pdf.*;

size(100,100, PDF, "pdf.pdf");
smooth();
translate(-10,0);
//strokeWeight(2);

//scale(4,4);
beginShape(TRIANGLE_STRIP);
  vertex(30, 75); // v0
  vertex(40, 20); // v1
  vertex(50, 75); // v2
  vertex(60, 20); // v3
  vertex(70, 75); // v4
  vertex(80, 20); // v5
  vertex(90, 75); // v6
endShape(CLOSE);

textSize(8);
text("v0", 30, 85); // v0
text("v1", 40, 15); // v1
text("v2", 50, 85); // v2
text("v3", 60, 15); // v3
text("v4", 70, 85); // v4
text("v5", 80, 15); // v5
text("v6", 90, 85); // v6

exit(); // Saves PDF file

//beginShape(POINTS);
//  vertex(30, 75); // v0
//  vertex(40, 20); // v1
//  vertex(50, 75); // v2
//  ...
//endShape();